UCP get catalog product
POST
/ucp/catalog/productUCP get catalog product. A successful request returns HTTP 200 with the documented response body.
AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Domain*string
Store slug or configured domain that selects the UCP store context.
Length
1 <= length <= 253UCP-Agent*string
Agent profile binding in the form profile="https://agent.example/.well-known/ucp".
Length
1 <= lengthIdempotency-Key?string
Optional idempotency key for retry-safe UCP requests.
Length
1 <= length <= 300Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/ucp/catalog/product" \ -H "Authorization: Bearer <token>" \ -H "x-Store-Domain: my-store" \ -H "UCP-Agent: profile="https://agent.example/.well-known/ucp"" \ -H "Idempotency-Key: checkout-2026-0001" \ -H "Content-Type: application/json" \ -d '{ "id": "7204558912004325301", "selected": [ { "name": "Example resource", "label": "example", "id": "7204558912004325301" } ], "preferences": [ "example" ], "filters": { "categories": [ "example" ], "price": { "min": 1, "max": 1 } }, "context": { "currency": "PEN", "address_country": "example", "address_region": "example", "postal_code": "example_code", "intent": "example", "language": "es", "eligibility": [ "example" ] }, "signals": { "dev.ucp.buyer_ip": "example", "dev.ucp.user_agent": "example" }, "attribution": {} }'{ "ucp": { "version": "example", "status": "example", "capabilities": { "key": [ { "version": "example" } ] }, "payment_handlers": { "key": [ { "id": "7204558912004325301", "version": "example", "spec": "example", "schema": "example", "available_instruments": [ { "type": "example", "constraints": {} } ], "config": {} } ] } }, "product": { "id": "7204558912004325301", "title": "Example title", "description": { "plain": "example", "html": "example", "markdown": "example" }, "price_range": { "min": { "amount": 1, "currency": "PEN" }, "max": { "amount": 1, "currency": "PEN" } }, "handle": "example", "url": "https://example.com/resource", "categories": [ { "value": "example", "taxonomy": "example" } ], "list_price_range": { "min": { "amount": 1, "currency": "PEN" }, "max": { "amount": 1, "currency": "PEN" } } }, "messages": [ { "type": "example", "content": "example", "code": "example_code", "path": "example", "content_type": "example", "severity": "example" } ]}